UpdateConfiguration
Update the configuration of a specific Virtual Cluster by ID.
Configuration Options
Section titled “Configuration Options”| Configuration Name | Description |
|---|---|
are_acls_enabled | Whether the cluster will enforce Kafka ACLs. Enabling this will block all traffic in the cluster if no specific ACLs are configured first. |
default_num_partitions | Default number of partitions for topics that are created automatically using Kafka’s topic auto-creation feature. |
default_retention_millis | Default retention for topics that are created automatically using Kafka’s topic auto-creation feature. |
is_auto_create_topic_enabled | Whether Kafka’s topic auto-creation feature is enabled. |
enable_deletion_protection | If true, you will not be able to delete this virtual cluster, the API will refuse it. |
default_topic_type | Can be classic or lightning . If lightning, newly created topics will be Lightning Topics |
Payload Example
Section titled “Payload Example”virtual_cluster_id is always required, but every field in virtual_cluster_configuration is optional. The JSON below shows all possible values that can be modified:
{ "virtual_cluster_id": "vci_1d4980d7_8e6d_4ad9_b27a_656ed4aca3ee", "virtual_cluster_configuration": { "are_acls_enabled": true, "default_num_partitions": 10, "is_auto_create_topic_enabled": false, "default_retention_millis": 86400000, "enable_deletion_protection": true, "default_topic_type": "lightning", }}However, if you only wanted to change a single value like default_retention_millis, then you could construct the request like this:
{ "virtual_cluster_id": "vci_1d4980d7_8e6d_4ad9_b27a_656ed4aca3ee", "virtual_cluster_configuration": { "default_retention_millis": 86400000 }}Which would modify the value of default_retention_millis, but leave all other configuration unchanged.
Example Request
Section titled “Example Request” curl https://api.warpstream.com/api/v1/update_virtual_cluster_configuration \ -H 'warpstream-api-key: XXXXXXXXXX' \ -H 'Content-Type: application/json' \ -d '{"virtual_cluster_id": "vci_1d4980d7_8e6d_4ad9_b27a_656ed4aca3ee", "virtual_cluster_configuration": {"are_acls_enabled": true, "default_num_partitions": 10, "is_auto_create_topic_enabled": false, "default_retention_millis": 86400000}}'Response
Section titled “Response”{}